TILESTACHE-SEED(1)

NAME
tilestache-seed - seed a single layer in your TileStache configuration

SYNOPSIS
tilestache-seed [options] zoom...

DESCRIPTION
This manual page documents briefly the tilestache-seed command.

tilestache-seed seeds a single layer in your TileStache configuration. No images are returned, but TileStache ends up with a pre-filled cache. Bounding box is given as a pair of lat/lon coordinates, e.g. "37.788 -122.349 37.833 -122.246". Output is a list of tile paths as they are created.
Configuration, BBox, and Layer options are required.

REQUIRED OPTIONS

-c, --config file
    Path to configuration file. Required.

-l, --layer layer
    Layer name from configuration. Required.

-b, --bbox south west north east
    Bounding box in floating point geographic coordinates. Required.

OPTIONS

-h, --help
    Show summary of options.

-p, --padding padding
    Extra margin of tiles to add around bounded area. Default value is 0 (no extra tiles).

-e, --extension extension
    Optional file type for rendered tiles. Default value is "png" for most image layers and some variety of JSON for Vector or Mapnik Grid providers.

-f, --progress-file file
    Optional JSON progress file that gets written on each iteration, so you don't have to pay close attention.

-q  Suppress chatty output, --progress-file works well with this.

-i, --include-path
    Add the following colon-separated list of paths to Python's include path (aka sys.path).

-d, --output-directory
    Optional output directory for tiles, to override configured cache with the equivalent of:
        {"name": "Disk", "path": <output directory>, "dirs": "portable", "gzip": []}. More information in http://tilestache.org/doc/#caches.

--to-mbtiles
    Optional output file for tiles, will be created as an MBTiles 1.1 tileset. See http://mbtiles.org for more information.

--from-mbtiles
    Optional input file for tiles, will be read as an MBTiles 1.1 tileset. See http://mbtiles.org for more information. Overrides --extension, --bbox and --padding (this may change).

--to-s3
    Optional output bucket for tiles, will be populated with tiles in a standard Z/X/Y layout. Three required arguments: AWS access-key, secret, and bucket name.

--tile-list
    Optional file of tile coordinates, a simple text list of Z/X/Y coordinates. Overrides --bbox and --padding.

--error-list
    Optional file of failed tile coordinates, a simple text list of Z/X/Y coordinates. If provided, failed tiles will be logged to this file instead of stopping tilestache-seed.

--enable-retries
    If true this will cause tilestache-seed to retry failed tile renderings up to (3) times. Default value is False.

-x, --ignore-cached
    Re-render every tile, whether it is in the cache already or not.

--jsonp-callback
    Add a JSONP callback for tiles with a json mime-type, causing "*.js" tiles to be written to the cache wrapped in the callback function. Ignored for non-JSON tiles.

SEE ALSO
tilestache-render(1)

AUTHOR
TileStache was written by Michal Migurski <mike@stamen.com>.

This manual page was written by David Paleino <dapal@debian.org>, for the Debian project (and may be used by others).